Bug 112535 - [NEW PORT] multimedia/smplayer: Nice front-end to mplayer
Summary: [NEW PORT] multimedia/smplayer: Nice front-end to mplayer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-08 23:40 UTC by Diego Depaoli
Modified: 2007-06-18 15:10 UTC (History)
0 users

See Also:


Attachments
file.shar (4.03 KB, text/plain)
2007-05-08 23:40 UTC, Diego Depaoli
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Depaoli 2007-05-08 23:40:03 UTC
*** From the project main site ***
SMPlayer intends to be a complete front-end for MPlayer,
from basic features like playing videos, DVDs, and VCDs
to more advanced features like support for MPlayer filters and more.

*** From the maintainer ***
Since I begin to work at this port, sources have been updated several times.
Please don't complaint if port will be not always in sync.
Comment 1 Martin Wilke freebsd_committer 2007-05-09 05:34:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-06-09 22:12:54 UTC
State Changed
From-To: open->feedback

Hi Diego, 

Please rework this port new. 

1). portlint -AC failed 

2.) you should please reread the porterbook here gives many mistakes. 
The mixing with qt3/qt4 is wrong. 
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/ 

3.) build failed here. 
[23:21] root@miwi /home/miwi/dev/ports/multimedia/smplayer# make 
===>  Extracting for smplayer-0.5.0 => MD5 Checksum OK for 
smplayer-0.5.0.tar.gz.  => SHA256 Checksum OK for 
smplayer-0.5.0.tar.gz.  ===>  Patching for smplayer-0.5.0 ===> 
smplayer-0.5.0 depends on executable in : cmake - found ===> 
smplayer-0.5.0 depends on file: /usr/local/bin/moc - found ===> 
smplayer-0.5.0 depends on executable in : gmake - found ===> 
smplayer-0.5.0 depends on shared library: kimproxy - found ===> 
Configuring for smplayer-0.5.0 ===>  Building for smplayer-0.5.0 
gmake: *** No rule to make target `all'.  Stop.  *** Error code 
2 

Stop in /usr/home/miwi/dev/ports/multimedia/smplayer. 

4.) Please show in other ports for sorting the Makefile. 

5.) Is a new version out 0.5.0 

Thanks Martin
Comment 3 Martin Wilke freebsd_committer 2007-06-14 09:25:51 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to pool. I stop my works for FreeBSD.
Comment 4 Rong-En Fan freebsd_committer 2007-06-15 06:35:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

I'll take it.
Comment 5 dfilter service freebsd_committer 2007-06-18 15:01:35 UTC
rafan       2007-06-18 14:01:28 UTC

  FreeBSD ports repository

  Modified files:
    multimedia           Makefile 
  Added files:
    multimedia/smplayer-themes Makefile distinfo pkg-descr 
                               pkg-plist 
  Log:
  Add smplayer-themes 0.1.1, themes for smplayer.
  
  PR:             ports/112535, ports/113679
  Submitted by:   Diego Depaoli <trebestie at gmail.com> and Yinghong.Liu <liu_yinghong at yahoo.com.cn>
  
  Revision  Changes    Path
  1.228     +1 -0      ports/multimedia/Makefile
  1.1       +25 -0     ports/multimedia/smplayer-themes/Makefile (new)
  1.1       +3 -0      ports/multimedia/smplayer-themes/distinfo (new)
  1.1       +3 -0      ports/multimedia/smplayer-themes/pkg-descr (new)
  1.1       +375 -0    ports/multimedia/smplayer-themes/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2007-06-18 15:04:32 UTC
rafan       2007-06-18 14:04:28 UTC

  FreeBSD ports repository

  Modified files:
    multimedia           Makefile 
  Added files:
    multimedia/smplayer  .pkg-plist.swp Makefile distinfo 
                         pkg-descr pkg-plist 
    multimedia/smplayer/files patch-Makefile 
  Log:
  smplayer intents to be a complete front-end for mplayer,from
  basic features like playing videos, dvds, vcdsto more advancing
  features like support for mplayer filters,edl lists, and more.
  
  WWW: http://smplayer.sourceforge.net/
  
  PR:             ports/112535, ports/113679
  Submitted by:   Diego Depaoli <trebestie at gmail.com>, Yinghong.Liu <liu_yinghong at yahoo.com.cn>
  
  Revision  Changes    Path
  1.229     +1 -0      ports/multimedia/Makefile
  1.1       +8 -0      ports/multimedia/smplayer/.pkg-plist.swp (new)
  1.1       +65 -0     ports/multimedia/smplayer/Makefile (new)
  1.1       +3 -0      ports/multimedia/smplayer/distinfo (new)
  1.1       +43 -0     ports/multimedia/smplayer/files/patch-Makefile (new)
  1.1       +5 -0      ports/multimedia/smplayer/pkg-descr (new)
  1.1       +41 -0     ports/multimedia/smplayer/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2007-06-18 15:06:08 UTC
rafan       2007-06-18 14:06:03 UTC

  FreeBSD ports repository

  Modified files:
    multimedia           Makefile 
  Added files:
    multimedia/smplayer-qt4 Makefile pkg-descr 
  Log:
  smplayer intents to be a complete front-end for mplayer,from
  basic features like playing videos, dvds, vcdsto more advancing
  features like support for mplayer filters,edl lists, and more.
  
  This port uses Qt4.
  
  WWW: http://smplayer.sourceforge.net/
  
  PR:             ports/112535, ports/113679
  Submitted by:   Diego Depaoli <trebestie at gmail.com>, Yinghong.Liu <liu_yinghong at yahoo.com.cn>
  
  Revision  Changes    Path
  1.230     +1 -0      ports/multimedia/Makefile
  1.1       +16 -0     ports/multimedia/smplayer-qt4/Makefile (new)
  1.1       +7 -0      ports/multimedia/smplayer-qt4/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Rong-En Fan freebsd_committer 2007-06-18 15:06:16 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!